<?php
/**
 * Child theme functions
 *
 * This Child Theme is for Divi Template
 * Author: Reinhard Wedemeyer FLYINGFOX CREATIONS
 * Webseitenarchitekt.com
 *
 */

/**
 * Load the parent style.css file
 * @link http://codex.wordpress.org/Child_Themes
*/
add_action( 'wp_enqueue_scripts', 'my_theme_enqueue_styles' );
function my_theme_enqueue_styles() {
    $parent_style = 'parent-style'; // This is 'divi-style' for the Divi theme.
    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array( $parent_style ),
        wp_get_theme()->get('Version')
    );
}


/* Eigene Schriften installieren */
add_filter('et_websafe_fonts', 'load_divi_custom_font',10,2);

function load_divi_custom_font($fonts) {
  wp_enqueue_style( 'Divi-child', get_stylesheet_directory_uri() . '/css/my-custom-fonts.css' );
  // Add multiple fonts to Divi's font menu
  $custom_font = array('Open Sans' => array(
    'styles'        => '300italic,400italic,600italic,700italic,900italic,300,400,600,700,800',
    'character_set' => 'latin',
    'type'          => 'sans-serif',
    'standard'      => 1
  ),
  'Open Sans' => array(
    'styles'        => '300italic,400italic,600italic,700italic,900italic,300,400,600,700,800',
    'character_set' => 'latin',
    'type'          => 'sans-serif',
    'standard'      => 1
  ));

  return array_merge($custom_font,$fonts);
}
/* Eigene Schriften installieren END */


/* Deaktivieren der XML-RPC Schnittstelle */
add_filter( 'xmlrpc_enabled', '__return_false' );
 
/* HTTP-Header Eintrag entfernen */
function wps_remove_x_pingback( $headers ) {
	unset( $headers['X-Pingback'] );
	return $headers;
}
add_filter( 'wp_headers', 'wps_remove_x_pingback' );
 
/* Entfernen von XMLRPC, WLW, Generator und ShortLink tags vom Header */
remove_action('wp_head', 'rsd_link');

?>